@php
    $attributes = $attributes
        ->merge([
            'x-on:click.outside' => 'open = false',
            'x-show' => 'open'
        ])
        ->class([
            'dropdown__menu'
        ])
@endphp

<div {{ $attributes }} x-cloak x-transition>
    {{ $slot }}
</div>